#include "caisse.h"
#include <QDebug>
caisse::caisse()
{
  numero=0;
  etat=0;
}

caisse::caisse(int numero,int etat)
{
  this->numero=numero;
    this->etat=etat;
}
int caisse::get_numero(){return  numero;}
int caisse::get_etat(){return  etat;}

bool caisse::ajouter()
{
QSqlQuery query;
QString res= QString::number(numero);
query.prepare("INSERT INTO etudiant (numero, etat) "
                    "VALUES (:numero, :etat)");
query.bindValue(":numero", res);
query.bindValue(":etat", etat);


return    query.exec();
}

QSqlQueryModel * caisse::afficher()
{QSqlQueryModel * model= new QSqlQueryModel();

model->setQuery("select * from etudiant");
model->setHeaderData(0, Qt::Horizontal, QObject::tr("numero"));
model->setHeaderData(1, Qt::Horizontal, QObject::tr("etat "));
    return model;
}

bool caisse::supprimer(int numero)
{
QSqlQuery query;
QString res= QString::number(numero);
query.prepare("Delete from etudiant where numero = :numero ");
query.bindValue(":numero",numero);
return    query.exec();
}

bool caisse::modifier(int numero ,int etat)
{
     QSqlQuery query;
     QString res= QString::number(numero);
 query.prepare("update etudiant set etat=:etat where numero=:numero ");
 query.bindValue(":numero",numero);
     query.bindValue(":etat",etat);
           query.exec();
}

QSqlQueryModel *caisse::trier()
{


    QSqlQueryModel * model=new QSqlQueryModel();

    model->setQuery("select *from etudiant  ORDER BY numero");
    model->setHeaderData(0,Qt::Horizontal,QObject::tr("numero"));
    model->setHeaderData(1,Qt::Horizontal,QObject::tr("etat"));

    return model;
}

bool caisse::modifier_etat(int numero)
{

    QSqlQuery query;
    QString res= QString::number(numero);
query.prepare("update etudiant set etat=:etat where numero=:numero");
query.bindValue(":numero",res);
    query.bindValue(":etat",1);
          query.exec();
}
